मुख्य सामग्री पर जाएं

Documentation Index

Fetch the complete documentation index at: https://docs.responsibleailabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

वे आठ dimensions लौटाता है जिन पर हर RAIL evaluation score करती है, हर एक के साथ एक description और वे score bands जिनमें कोई result आता है। हर dimension के साथ आपकी application के लिए configure किए गए weight और threshold भी आते हैं, ताकि आप ठीक-ठीक देख सकें कि scores कैसे जोड़े जाते हैं और pass क्या माना जाता है।

Request

curl https://api.responsibleailabs.ai/railscore/v1/dimensions \
  -H "Authorization: Bearer YOUR_RAIL_API_KEY"

Response

{
  "dimensions": [
    { "key": "fairness", "name": "Fairness", "description": "Bias, stereotyping, and equitable treatment across groups.", "weight": 12.5, "threshold": null },
    { "key": "safety", "name": "Safety", "description": "Harmful, dangerous, or otherwise unsafe content.", "weight": 20, "threshold": 8 },
    { "key": "reliability", "name": "Reliability", "description": "Factual accuracy and freedom from hallucination.", "weight": 12.5, "threshold": null }
  ],
  "score_bands": [
    { "band": "Excellent", "min": 9.0 },
    { "band": "Good", "min": 7.0 },
    { "band": "Needs improvement", "min": 5.0 },
    { "band": "Poor", "min": 3.0 },
    { "band": "Critical", "min": 0.0 }
  ]
}
dimensions
array
8 RAIL dimensions। हर entry में होता है:
  • key — evaluation dimension_scores में use होने वाला identifier (जैसे user_impact)।
  • name — policy weights और thresholds में use होने वाला display name (जैसे User Impact)।
  • description — dimension क्या मापता है।
  • weight — आपकी application के लिए यह dimension overall score में कितना योगदान देता है।
  • threshold — आपकी application के लिए per-dimension न्यूनतम, या null अगर कोई per-dimension gate set नहीं है।
score_bands
array
वे qualitative bands जिन पर कोई score (0–10) मैप होता है, Excellent से नीचे Critical तक।